mia-2dimagestack-cmeans
Prev | Processing of series of 2D images in a 3D fashion (out-of-core) | Next

### mia-2dimagestack-cmeans

#### Sysnopis:

`mia-2dimagestack-cmeans` {-i `io`} {-o `string`} [ `options` ...]

#### Description:

This program first evaluates a sparse histogram of an input image series, then runs a c-means classification over the histogram and then writes the probability mapping for thr original intensity values

#### Options:

#### File-IO

-i, --in-file=(input, required); io

  input image(s) to be filtered. For supported file types see Plugin type: 2dimage/io

-o, --out-probmap=(output, required); string

  Save probability map to this file

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Parameters

-T, --histogram-thresh=5; float in [0, 50]

  Percent of the extrem parts of the histogram to be collapsed into the respective last histogram bin.

-C, --classes=kmeans:nc=3; factory

  C-means class initializer. For supported plug-ins see Plugin type: 1d/cmeans

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Run the program over images imageXXXX.png with the sparse histogram, threshold the lower 5% bins (if available), run cmeans with three classes on the non-zero pixels.

    mia-2dimagestack-cmeans -i image0000.png -o cmeans,txt --histogram-tresh=5 --classes 3

#### Author(s):

Gert Wollny

Prev | Up | Next
Processing of series of 2D images in a 3D fashion (out-of-core) | Home | mia-2dstack-cmeans-presegment